Bug 1395742 - Unable to clone SCVMM template.Blank page displayed when clicked on clone template
Summary: Unable to clone SCVMM template.Blank page displayed when clicked on clone tem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Daniel Berger
QA Contact: Dave Johnson
URL:
Whiteboard: template:clone:scvmm
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 14:58 UTC by Aziza Karol
Modified: 2019-08-06 20:05 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1396218 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:24:05 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
selected template (118.14 KB, image/png)
2016-11-16 14:58 UTC, Aziza Karol
no flags Details
Blank clone form (69.13 KB, image/png)
2016-11-16 14:59 UTC, Aziza Karol
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Aziza Karol 2016-11-16 14:58:47 UTC
Created attachment 1221243 [details]
selected template

Description of problem:


Version-Release number of selected component (if applicable):
5.7.0.11-rc1.20161115160629_46cf4f1

How reproducible:
100%

Steps to Reproduce:
1.Add provider(scvmm or openstack infra)
2.Navigate to compute->infrastructure->Virtual machines->templates
3.select a template and from lifecycle click on clone selected template.

Actual results:
Blank form displayed. clicking on submit button throws error in production.log
see attached screenshots.

Note: On vmware clone form is displayed.

Expected results:


Additional info:
production.log
[----] I, [2016-11-16T09:45:45.326439 #2878:c203e4]  INFO -- : Started POST "/vm_infra/prov_edit?button=submit" for 127.0.0.1 at 2016-11-16 09:45:45 -0500
[----] I, [2016-11-16T09:45:45.332227 #2878:c203e4]  INFO -- : Processing by VmInfraController#prov_edit as JS
[----] I, [2016-11-16T09:45:45.332314 #2878:c203e4]  INFO -- :   Parameters: {"button"=>"submit"}
[----] F, [2016-11-16T09:45:45.387147 #2878:c203e4] FATAL -- : Error caught: [NoMethodError] undefined method `get_dialog_order' for nil:NilClass
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:561:in `validate_fields'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:632:in `prov_req_submit'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:208:in `prov_edit'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/base.rb:188:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-5.0.0.1/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.1/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.1/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0.1/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.1/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] I, [2016-11-16T09:45:45.389728 #2878:c203e4]  INFO -- :   Rendered layouts/_exception_contents.html.haml (0.4ms)
[----] I, [2016-11-16T09:45:45.390462 #2878:c203e4]  INFO -- : Completed 200 OK in 58ms (Views: 2.6ms | ActiveRecord: 0.0ms)

Comment 2 Aziza Karol 2016-11-16 14:59:26 UTC
Created attachment 1221244 [details]
Blank clone form

Comment 4 Greg McCullough 2016-11-17 16:46:47 UTC
OpenStack Infra provisioning is not a supported feature, the UI should prevent this action.  SCVMM should work so may need to re-test and determine root cause.

Comment 5 Dan Clarizio 2016-11-17 17:15:29 UTC
GregB, so it looks like OpenStack provider should be telling the UI not to show the clone button.  Let me know if SCVMM issue looks like a UI bug.

Comment 7 Bronagh Sorota 2016-11-17 18:22:26 UTC
Dan, Greg,

If the user tries to clone a template in SCVMM the message "Clone does not apply to at least one of the selected items" is displayed because SCVMM does not support cloning. A blank form is not displayed and the stack trace above is not written to the log.

Aziza
Can you confirm this BZ really applies to SCVMM too? If so, can you point me to an appliance where I can reproduce it?


Thanks,
Bronagh

Comment 9 Bronagh Sorota 2016-11-28 16:45:18 UTC
Hi Dan
This fix requires the SupportsFeatureMixin. Guidelines can be found here:
https://github.com/ManageIQ/manageiq/issues/11736


Thanks
Bronagh

Comment 10 Daniel Berger 2016-11-30 00:12:54 UTC
https://github.com/ManageIQ/manageiq/pull/12908

Comment 11 Aziza Karol 2017-03-16 10:09:36 UTC
If the user tries to clone a template in SCVMM the message "Clone does not apply to at least one of the selected items" is displayed. SCVMM does not support cloning.


Verified:
5.8.0.4.20170307183144_745a3d9

Comment 12 Jeff Teehan 2017-05-04 16:30:19 UTC
Need to add test case.

Comment 14 errata-xmlrpc 2017-05-31 14:24:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.